Package org.apache.torque.generator.configuration.paths

# Class DefaultTorqueGeneratorPaths

java.lang.Object
org.apache.torque.generator.configuration.paths.DefaultTorqueGeneratorPaths

All Implemented Interfaces:
  `TorqueGeneratorPaths`

public class DefaultTorqueGeneratorPaths extends Object implements TorqueGeneratorPaths
The default organization of the torque-generator directory.

This is:

     - torque-generator root
     - - conf
     - - - control.xml
     - - outlets
     - - templates
     - - resources

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DefaultTorqueGeneratorPaths()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getConfigurationDirectory()`
  Returns the path to the directory containing the configuration, relative to the torque-gen directory.
  `String`
  `getControlConfigurationFile()`
  Returns the path to the file containing the control configuration, relative to the configuration directory.
  `String`
  `getOutletDirectory()`
  Returns the path to the directory containing the outlet definitions, relative to the Torque generator configuration directory.
  `String`
  `getResourceDirectory()`
  Returns the path to the directory containing the resources, relative to the Torque generator configuration directory.
  `String`
  `getTemplateDirectory()`
  Returns the path to the directory containing the templates, relative to the torque-gen directory.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DefaultTorqueGeneratorPaths

    public DefaultTorqueGeneratorPaths()

- ## Method Details

  - ### getControlConfigurationFile

    public String getControlConfigurationFile()
    Description copied from interface: `TorqueGeneratorPaths`
    Returns the path to the file containing the control configuration, relative to the configuration directory.
    Specified by:
      `getControlConfigurationFile` in interface `TorqueGeneratorPaths`
    Returns:
      the path to the control configuration file, not null.

  - ### getTemplateDirectory

    public String getTemplateDirectory()
    Description copied from interface: `TorqueGeneratorPaths`
    Returns the path to the directory containing the templates, relative to the torque-gen directory.
    Specified by:
      `getTemplateDirectory` in interface `TorqueGeneratorPaths`
    Returns:
      the path to the template directory. not null.

  - ### getConfigurationDirectory

    public String getConfigurationDirectory()
    Description copied from interface: `TorqueGeneratorPaths`
    Returns the path to the directory containing the configuration, relative to the torque-gen directory.
    Specified by:
      `getConfigurationDirectory` in interface `TorqueGeneratorPaths`
    Returns:
      the path to the configuration directory. not null.

  - ### getOutletDirectory

    public String getOutletDirectory()
    Description copied from interface: `TorqueGeneratorPaths`
    Returns the path to the directory containing the outlet definitions, relative to the Torque generator configuration directory.
    Specified by:
      `getOutletDirectory` in interface `TorqueGeneratorPaths`
    Returns:
      the path to the outlet definition directory, not null.

  - ### getResourceDirectory

    public String getResourceDirectory()
    Description copied from interface: `TorqueGeneratorPaths`
    Returns the path to the directory containing the resources, relative to the Torque generator configuration directory.
    Specified by:
      `getResourceDirectory` in interface `TorqueGeneratorPaths`
    Returns:
      the path to the resources directory, not null.